Name:           love
Version:        0.8.0
Release:        2%{?dist}
Summary:        A free 2D game engine which enables easy game creation in Lua

#All is licensed as zlib with one exception:
#SOURCE/platform/unix/ltmain.sh is public domain
License:        zlib and Public Domain
URL:            http://love2d.org
#Only available download link at the moment:
#https://bitbucket.org/rude/love/get/e0f98d53debb.tar.gz
Source0:        rude-%{name}-e0f98d53debb.tar.gz
#Source1 currently only contains a custom man page:
#Upstream Bug: https://bitbucket.org/rude/love/issue/405/include-extras-desktop-mime-etc-files-for
Source1:        %{name}-extra.tar.xz
#Patch0 makes the mpg123 requirement optional (modified for 0.8.0 from openSUSE)
#Upstream Bug: https://bitbucket.org/rude/love/issue/404/make-mpg123-optional
Patch0:         %{name}-optional_mpg123.patch

BuildRequires:  DevIL-devel
BuildRequires:  libtiff-devel
BuildRequires:  freetype-devel
BuildRequires:  lua-devel
BuildRequires:  physfs-devel
BuildRequires:  SDL-devel
BuildRequires:  openal-soft-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  flac-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libmng-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libtool
 
%description
LOVE is an open source, cross platform 2D game engine which uses the
Lua scripting language. LOVE can be used to make games of any license
allowing it to be used for both free and non-free projects.

%prep
%setup -q -a 1 -n rude-%{name}-e0f98d53debb
%patch0
#Fixing line encoding:
sed -i 's/\r//' license.txt src/libraries/Box2D/*/*.* src/libraries/Box2D/*/*/*.*
#Fixing permissions:
chmod -x license.txt src/libraries/*/*/*.* src/libraries/Box2D/*/*/*.*

%build
platform/unix/automagic
%configure  --prefix=/usr
make
 
%install
make install DESTDIR=%{buildroot}
#Install desktop, icons, and mime info:
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  platform/unix/%{name}.desktop
install -p -D -m 0644  platform/unix/app.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
install -p -D -m 0644  platform/unix/game.svg %{buildroot}/%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}-game.svg
install -p -D -m 0644  platform/unix/%{name}.xml %{buildroot}%{_datadir}/mime/packages/%{name}.xml
install -p -D -m 0644  %{name}-extra/%{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :
 
%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 
%files
%doc changes.txt license.txt readme.md
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.*
 
%changelog
* Tue Apr 3 2012 Jeremy Newton <alexjnewt@hotmail.com> - 0.8.0-2
- Fixed a typo in the manpage
- Fixed minor typo in files

* Tue Apr 3 2012 Jeremy Newton <alexjnewt@hotmail.com> - 0.8.0-1
- Updated spec for new upstream version

* Wed Mar 28 2012 Jeremy Newton <alexjnewt@hotmail.com> - 0.7.2-3
- Added man page
- Made more use of the name macro
- Removed unnecessary build flags
- Fixed typo in changelog

* Tue Mar 27 2012 Jeremy Newton <alexjnewt@hotmail.com> - 0.7.2-2
- Added missing build dependencies

* Tue Mar 6 2012 Jeremy Newton <alexjnewt@hotmail.com> - 0.7.2-1
- Initial Package
